<?php
if ($HTTP_GET_VARS["lang"] == "en") {
$lang = "en";
} else {
$lang = "cs";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title> MLAB moduly </title>
    <meta name="keywords" content="stavebnice MLAB univerzální moduly seznam přehled">
    <meta name="description" content="Projekt MLAB, moduly">
    <!-- AUTOINCLUDE START "Page/Head.<?php echo $lang; ?>.ihtml" DO NOT REMOVE -->
    <link rel="StyleSheet" href="../../Web/CSS/MLAB.css" type="text/css" title="MLAB základní styl">
    <link rel="StyleSheet" href="../../Web/CSS/MLAB_Print.css" type="text/css" media="print">
    <link rel="shortcut icon" type="image/x-icon" href="../../Web/PIC/MLAB.ico">
    <script type="text/javascript" src="../../Web/JS/MLAB_Menu.js"></script>
    <!-- AUTOINCLUDE END -->
</head>
<body lang="<?php echo $lang; ?>">
    <!-- AUTOINCLUDE START "Page/Header.<?php echo $lang; ?>.ihtml" DO NOT REMOVE -->
    <!-- ============== HLAVICKA ============== -->
    <div class="Header">
      <script type="text/javascript">
      <!--
        SetRelativePath("../../");
        DrawHeader();
      // -->
      </script>
      <noscript>
      <?php if ($lang == "cs") {?>
        <p><b> Pro zobrazení (vložení) hlavičky je potřeba JavaScript </b></p>
      <?php } else { ?>
        <p><b> JavaScript is required for including of the header </b></p>
      <?php } ?>
      </noscript>
    </div>
    <!-- AUTOINCLUDE END -->

    <!-- AUTOINCLUDE START "Page/Menu.<?php echo $lang; ?>.ihtml" DO NOT REMOVE -->
    <!-- ============== MENU ============== -->
    <div class="Menu">
      <script type="text/javascript">
      <!--
        SetRelativePath("../../");
        DrawMenu();
      // -->
      </script>
      <noscript>
      <?php if ($lang == "cs") {?>
        <p><b> Pro zobrazení (vložení) menu je potřeba JavaScript </b></p>
      <?php } else { ?>
        <p><b> JavaScript is required for including of the menu </b><p>
      <?php } ?>
      </noscript>
    </div>
    <!-- AUTOINCLUDE END -->

    <!-- ============== TEXT ============== -->
        <?php if ($lang == "en") { ?>
            <div class="Text">
            <p class="Title">
                Overview of MLAB Modules
            </p>
        <?php } else { ?>
            <div class="Text">
           <p class="Title">
             Přehled modulů MLAB
           </p>
<?php
        }
/* KONFIGURACE */

/*Cesta k webu*/
$path   = '/var/www/Web';
/*Adresa webu*/
$www    = 'http://www.mlab.cz';
/*Cesta do složky modulů vztažena k Cestě k webu*/
$folder = '/../Modules';
/*Suffix obrázků s modulama*/
$img    = '_Small.jpg';
/*Název souboru s popisem*/
$info1  = "info.".$lang.".txt";

/* KONEC KONFIGURACE */

/*Hlavička tabulky */
echo "<table>\n";

if ($lang == "en") {
echo "<tr><td>Preview</td><td>Name</td><td>PDF</td><td>WebSVN</td><td>Info</td></tr>\n";
} else {
echo "<tr><td>Náhled</td><td>Název</td><td>PDF</td><td>WebSVN</td><td>Info</td></tr>\n";
}
/*Konec Hlavičky tabulky*/

if (isset($HTTP_GET_VARS["file"])) {
/*Pokud je v adrese určen parametr file naincludovat soubor modules.inc.php*/
  include "modules.inc.php";
} else {
/*V opačném případě přidat řádek s modulem do tabulky*/

/*Načtení adresáře*/
  $adresar = opendir($path.$folder);
  while ($soubor = readdir($adresar)){
/*Je daný soubor složka?, Nezačíná na tečku?, Nezačíná na vykřičník?*/
    if ((Is_Dir($path.$folder."/".$soubor)) && (substr($soubor,0,1) <> ".") && (substr($soubor,0,1) <> "!")) {
      $img = $soubor.$img;

/*Zjištění, zda je modul přímo v podsložce složky Modules nebo zda je v podsložce podsložky...*/
      if (file_exists($path.$folder."/".$soubor."/CAM_AMA")) {
        echo "<tr>";
/*Zobrazení náhledu, pokud existuje*/
        if (file_exists($path.$folder.'/'.$soubor."/".$img)) { echo "<td><A HREF=\"image.php?pth=".$soubor."&amp;fname=".$soubor."\" TARGET=\"_blank\"><img src=\"thumb.php?pth=".$soubor."&amp;fname=".$soubor."\" border=\"0\"></a></td>\n";
        } else { echo "<td><img src=\"thumb.php?pth=".$soubor."&amp;fname=".$soubor."\"></td>\n"; }
/*Zobrazení odkazu na dotyčný modul (pokud popis k modulu neexistuje zobrazit statický text)*/
        if (file_exists($path.$folder."/".$soubor."/DOC/HTML/".$soubor.".".$lang.".html")) {
          echo "<td><b><a href=\"".$www.$folder."/".$soubor."/DOC/HTML/".$soubor.".".$lang.".html\">".$soubor."</a></b></td>\n";
        } else { echo "<td><b>".$soubor."</b></td>\n"; }
/*Zobrazení odkazu na PDF dokumentaci, pokud existuje*/
        if (file_exists($path.$folder."/".$soubor."/".$soubor1."/DOC/".$soubor1.".".$lang.".pdf")) {
          echo "\n<td><a href=\"".$www.$folder."/".$soubor."/DOC/".$soubor.".".$lang.".pdf\">PDF</a></td>\n";
        } else { echo "\n<td>-</td>\n"; }
/*Odkaz na WebSVN*/
        echo "<td><a href=\"http://www.mlab.cz/WebSVN/listing.php?repname=MLAB&amp;path=/Modules/".$soubor."/\">WebSVN</a></td>\n";
/*Zobrazení krátkého popisu k modulu, pokud existuje*/
        if (file_exists($path.$folder.'/'.$soubor."/".$info1)) {
          $fp = FOpen ($path.$folder.'/'.$soubor."/".$info1, "r");
          $data = FRead ($fp, FileSize ($path.$folder.'/'.$soubor."/".$info1));
          FClose ($fp);
          echo "<td>".wordwrap($data, 50, "<br>")."</td>\n";
        } else { echo "\n<td><i>No description available</i></td>\n"; }
        echo "</tr>\n\n";
      } else {
/*Pokud se jedná o modul, který je v podsložce složky
modulu (např /nazev_modulu/nazev_moduluV01A/) includovat soubor modules.inc.php*/
/*Zobrazení hodnot do tabulky*/
        echo "<tr>\n<td><img src=\"thumb.php?pth=xxx&amp;fname=xxx\"></td>\n<td><a href=\"modules.php?lang=".$lang."&amp;file=".$soubor."\">".$soubor."</a></td>\n";
        echo "<td>-</td>\n<td><a href=\"http://www.mlab.cz/WebSVN/listing.php?repname=MLAB&amp;path=/Modules/".$soubor."/\">WebSVN</a></td>\n";
/*Zobrazení krátkého popisu k modulu, pokud existuje*/
        if (file_exists($path.$folder.'/'.$soubor."/".$info1)) {
          $fp = FOpen ($path.$folder.'/'.$soubor."/".$info1, "r");
          $data = FRead ($fp, FileSize ($path.$folder.'/'.$soubor."/".$info1));
          FClose ($fp);
          echo "<td>".wordwrap($data, 50, "<br>")."</td>\n";
        } else { echo "\n<td><i>No description available</i></td>\n"; }
        echo "</tr>\n\n";
      }
    }
  }
}
?>
</table>
    </div>

    <!-- AUTOINCLUDE START "Page/Footer.<?php echo $lang; ?>.ihtml" DO NOT REMOVE -->
    <!-- ============== PATIČKA ============== -->
    <div class="Footer">
      <script type="text/javascript">
      <!--
        SetRelativePath("../../");
        DrawFooter();
      // -->
      </script>
      <noscript>
      <?php if ($lang == "cs") {?>
        <p><b> Pro zobrazení (vložení) zápatí je potřeba JavaScript </b></p>
      <?php } else { ?>
        <p><b> JavaScript is required for including of the footer </b></p>
      <?php } ?>
      </noscript>
    </div>
    <!-- AUTOINCLUDE END -->

</body>
</html>
